.. _iohub_computer:

############################
The ioHub Computer Device
############################

**Platforms:** Windows, macOS, Linux

.. autoclass:: psychopy.iohub.devices.Computer
    :members: 
    :exclude-members:  processingUnitCount, system, globalClock, currentProcess, currentProcessID, inHighPriorityMode, ioHubServerProcess, ioHubServerProcessID, isIoHubProcess
    
Computer Device Default Configuration Settings
###############################################

The computer Device is enabled automatically and has no configuration settings
in the iohub_config.yaml.
 
Computer Device Events
#######################

The Computer Device does not generate any ioHub Events.

Notes and Considerations
###########################

None at this time.